gtk-0.12.5.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.Selectors.FontSelectionDialog

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes

Description

A dialog box for selecting fonts

Synopsis

- data FontSelectionDialog
- class DialogClass o => FontSelectionDialogClass o
- castToFontSelectionDialog :: GObjectClass obj => obj -> FontSelectionDialog
- gTypeFontSelectionDialog :: GType
- toFontSelectionDialog :: FontSelectionDialogClass o => o -> FontSelectionDialog
- fontSelectionDialogNew :: String -> IO FontSelectionDialog
- fontSelectionDialogGetFontName :: FontSelectionDialogClass self => self -> IO (Maybe String)
- fontSelectionDialogSetFontName :: FontSelectionDialogClass self => self -> String -> IO Bool
- fontSelectionDialogGetPreviewText :: FontSelectionDialogClass self => self -> IO String
- fontSelectionDialogSetPreviewText :: FontSelectionDialogClass self => self -> String -> IO ()
- fontSelectionDialogGetCancelButton :: FontSelectionDialogClass self => self -> IO Widget
- fontSelectionDialogGetOkButton :: FontSelectionDialogClass self => self -> IO Widget
- fontSelectionDialogGetFontSelection :: FontSelectionDialogClass self => self -> IO FontSelection
- fontSelectionDialogPreviewText :: FontSelectionDialogClass self => Attr self String

# Detail

The `FontSelectionDialog` widget is a dialog box for selecting a font.

To set the font which is initially selected, use `fontSelectionDialogSetFontName`.

To get the selected font use `fontSelectionDialogGetFontName`.

To change the text which is shown in the preview area, use `fontSelectionDialogSetPreviewText`.

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Container
     | +----Bin
     | +----Window
     | +----Dialog
     | +----FontSelectionDialog

# Types

data FontSelectionDialog

Instances

Eq FontSelectionDialog |
Ord FontSelectionDialog |
GObjectClass FontSelectionDialog |
FontSelectionDialogClass FontSelectionDialog |
DialogClass FontSelectionDialog |
WindowClass FontSelectionDialog |
BinClass FontSelectionDialog |
ContainerClass FontSelectionDialog |
WidgetClass FontSelectionDialog |
ObjectClass FontSelectionDialog |

class DialogClass o => FontSelectionDialogClass o

Instances

FontSelectionDialogClass FontSelectionDialog |

castToFontSelectionDialog :: GObjectClass obj => obj -> FontSelectionDialog

gTypeFontSelectionDialog :: GType

toFontSelectionDialog :: FontSelectionDialogClass o => o -> FontSelectionDialog

# Constructors

fontSelectionDialogNew

Arguments

:: String | `title` - the title of the dialog box.
-> IO FontSelectionDialog |

Creates a new `FontSelectionDialog`.

# Methods

fontSelectionDialogGetFontName

Arguments

:: FontSelectionDialogClass self |
=> self |
-> IO (Maybe String) | returns the currently-selected font name, or `Nothing` if no font is selected.

Gets the currently-selected font name.

fontSelectionDialogSetFontName

Arguments

:: FontSelectionDialogClass self |
=> self |
-> String | `fontname` - a fontname.
-> IO Bool | returns `True` if the font was found.

Sets the currently-selected font.

fontSelectionDialogGetPreviewText :: FontSelectionDialogClass self => self -> IO String

Gets the text displayed in the preview area.

fontSelectionDialogSetPreviewText :: FontSelectionDialogClass self => self -> String -> IO ()

Sets the text displayed in the preview area.

fontSelectionDialogGetCancelButton

Arguments

:: FontSelectionDialogClass self |
=> self |
-> IO Widget | returns the `Widget` used in the dialog for the `Cancel` button.

Gets the `Cancel` button.

- Available since Gtk+ version 2.14

fontSelectionDialogGetOkButton

Arguments

:: FontSelectionDialogClass self |
=> self |
-> IO Widget | returns the `Widget` used in the dialog for the `OK` button.

Gets the `OK` button.

- Available since Gtk+ version 2.14

fontSelectionDialogGetFontSelection

Arguments

:: FontSelectionDialogClass self |
=> self |
-> IO FontSelection | returns the embedded `FontSelection`

Retrieves the `FontSelection` widget embedded in the dialog.

- Available since Gtk+ version 2.22

# Attributes

fontSelectionDialogPreviewText :: FontSelectionDialogClass self => Attr self String

'previewText' property. See `fontSelectionDialogGetPreviewText` and `fontSelectionDialogSetPreviewText`